FIntensityStatsAccumulator Class Reference
Uncategorized

Functor to accumulate statistics of data. More...

`#include <mia/core/seriesstats.hh>`

Inheritance diagram for FIntensityStatsAccumulator:
[legend]
Collaboration diagram for FIntensityStatsAccumulator:
[legend]

## Public Member Functions

| FIntensityStatsAccumulator ()
const SIntensityStats & | get_result () const
template<typename Container>
void | operator() (const Container &data)

## Additional Inherited Members

Public Types inherited from TFilter< void >
typedef void | result_type
| defines the return type of the filter function

## Detailed Description

Functor to accumulate statistics of data.

This functior is used to accumulate the statistics over the data various containers or images.

Definition at line 59 of file seriesstats.hh.

## Constructor & Destructor Documentation

## FIntensityStatsAccumulator()

FIntensityStatsAccumulator::FIntensityStatsAccumulator | ( |  | ) |

## Member Function Documentation

## get_result()

const SIntensityStats & FIntensityStatsAccumulator::get_result | ( |  | ) | const

Evaluate the statistics and return it

Returns
  the statistical measures of the accumulated data

## operator()()

template<typename Container>

void FIntensityStatsAccumulator::operator() | ( | const Container & | data | ) |

This function gets called for each entity from the input that the statistics is evaluated for.

Parameters

  data | the data container to be processed

Definition at line 84 of file seriesstats.hh.

References SIntensityStats::n.

The documentation for this class was generated from the following file:

- seriesstats.hh